import { IStorage } from '../storage/IStorage';
export declare class Cache {
    static store: IStorage;
    static isConnected(): boolean;
    static put<T>(key: string, value: T, exptime?: number): Promise<T>;
    static get<T>(key: string): Promise<T>;
    static purge(key: string): Promise<number>;
}
