"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisClientProvider = void 0;
const redis_1 = require("redis");
const Debug = require("debug");
const logger = Debug('acp:redis');
const RedisClientProvider = () => {
    const Connection = redis_1.createClient({
        host: process.env.REDIS_HOST,
        port: +process.env.REDIS_PORT,
    });
    Connection.on('error', e => logger(e));
    return Connection;
};
exports.RedisClientProvider = RedisClientProvider;
