/// <reference types="node" />
import { EventEmitter } from 'events';
export declare class RequestPool {
    static pool: Set<string>;
    static ee: EventEmitter;
    static has(key: string): boolean;
    static add(key: string): RequestPool;
    static wait(key: string): Promise<unknown>;
    static putAndPublish(key: string, data: unknown, expires: number): Promise<unknown>;
    static errorAndPublish(key: string, data: unknown): Promise<void>;
}
