import { IStorage } from './IStorage';
export declare class MemStore implements IStorage {
    private ttl_sec;
    connected: boolean;
    private expired;
    private cache;
    constructor(ttl_sec: number);
    get(key: string, cb: (error: unknown, buffer: string) => void): void;
    set(key: string, value: string, cb: () => void): void;
    del(key: string, cb: (error: unknown, reply: number) => void): void;
    expire(key: string, ttl_sec: number): void;
}
